//------------------------------------------------------------------------------
R1=100; // Ohm 90
R2=1000; // Ohm 900
C1=3.0E-06; // Farad
C2=1.0E-06; // Farad 0.1E-06

p=1/(R1*C1)+1/(R2*C1)+1/(R2*C2);
q=1/(R1*R2*C1*C2);
r=1/(R2*C2);

f=sqrt(q)/(2*%pi);
disp(f);

s=poly(0,'s');
h=syslin('c',((r*s)/(s^2+p*s+q)));
clf();
faktor=10;
bode(h,f/faktor,f*faktor);
