funcprot(0);
//------------------------------------------------------------------------------

R=10; // Ohm
L=3.165; // Henry
C=0.05; // Farad

w=1/sqrt(L*C); // Kreisfrquenz

Tend=8;
Tp=0.01; // Periode
tData=0:Tp:Tend;

disp(w/(2*%pi));

// Sinus mit Rauschen
ssignal=sin(w*tData);
wnoise=rand(tData,"normal");
iData=ssignal+wnoise;

disp(mean(wnoise));
disp(stdev(wnoise));

y=fft(iData);

Nt=size(tData,'*');
sample_rate=1/Tp;
fv=sample_rate*(0:(Nt/2))/Nt; //associated frequency vector
nf=size(fv,'*');

f=scf(2);
clf(f,"reset");
a=gca();
a.labels_font_size=3;
a.x_label.font_size = 3;
a.y_label.font_size = 3;
a.title.font_size = 3;


plot(fv(1:nf),abs(y(1:nf)));

xtitle("Verrauschte Eingangsspannung - Frequenzspektrum",..
       "Frequenz [Hz]", " ");

